#
# spec file for package xmps (Version 0.2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel alsa alsa-devel audiofile autoconf esound esound-devel glib glib-devel gnome-libs gnome-libs-devel gpp gtk gtk-devel imlib imlib-devel kdelibs-artsd libgpp smpeg smpeg-devel xf86
# usedforbuild    SDL SDL-devel aaa_base aaa_dir alsa alsa-devel audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gpm gpp gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd kdelibs-artsd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow smpeg smpeg-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xmps
Copyright:    GPL
Group:        X11/Applications/Multimedia
URL:          http://xmps.sourceforge.net
Autoreqprov:  on
Version:      0.2.0
Release:      182
Summary:      X Movie Player System
Source:		xmps-%{version}.tar.bz2
Patch:	 	xmps-%{version}-configure.patch
Patch1:		xmps-no-x86.dif
Patch2:         xmps-0.2.0-mpeg.patch
Patch3:		xmps-0.2.0-gcc3.dif
BuildRoot:	%{_tmppath}/%{name}-build
%define		_prefix /opt/gnome

%description
A Gtk program with skin support that plays MPEG-1 files with sound

Authors:
--------
    Damien Chavarria <damien.chavarri@enst-bretagne.fr>

SuSE series: snd

%prep
%setup 
grep -v ac3	configure.in			>configure.in.noac3
mv		configure.in.noac3		 configure.in
sed 's/ac3//g'	codecs/audio/Makefile.am	>codecs/audio/Makefile.am.noac3
mv		codecs/audio/Makefile.am.noac3   codecs/audio/Makefile.am
rm -rf		codecs/audio/ac3
cd ..
tar cfI %{SOURCE0} %{name}-%{version}
cd -
find -name '*ac3*' || true >tmp.test
test		       ! -s tmp.test
%patch
%ifnarch i386 i686
%patch1
%endif
%patch2
%patch3
%{?suse_update_config:%{suse_update_config -f}}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$CFLAGS"
export LDFLAGS=-s
aclocal
libtoolize --force
automake
autoconf
./configure --prefix=%{_prefix} --disable-static
make

%install
if [ "$RPM_BUILD_ROOT" != / ];then rm -rf "$RPM_BUILD_ROOT";fi
make prefix=$RPM_BUILD_ROOT%{_prefix} install
for i in `find $RPM_BUILD_ROOT -name "*.la" -print ` ; do
  mv $i $i.orig
  sed -e "s|-L${PWD}[^ ]*||g"  $i.orig  > $i
  rm $i.orig
done  

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%doc COPYING README AUTHORS ChangeLog 
%{_bindir}/*
%{_libdir}/*
%{_includedir}/*
%{_datadir}/%{name}
%{_datadir}/locale/*/*/*
%{_datadir}/gnome/apps/Multimedia/*

%changelog -n xmps
* Sat Aug 18 2001 - bk@suse.de
- libac3 is removed in the build and the tarball is repackaged
* Thu Aug 16 2001 - ro@suse.de
- changed neededforbuild <smpeg> to <smpeg smpeg-devel>
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Mon Jul 16 2001 - uli@suse.de
- fixed non-x86 fix
- fixed for gcc 3
* Wed Jun 20 2001 - nadvornik@suse.cz
- added kdelibs and kdelibs-devel to neededforbuild
- fixed la files
* Thu Jun 14 2001 - nadvornik@suse.cz
- fixed to compile with new autoconf
* Fri May 11 2001 - nadvornik@suse.cz
- fixed broken video playback
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Tue Apr 17 2001 - nadvornik@suse.cz
- removed -Werror option
* Sun Apr 01 2001 - kukuk@suse.de
- Don't use MMX and 3Dnow on non-x86 plattforms
* Mon Mar 26 2001 - ro@suse.de
- changed neededforbuild <sdl> to <sdl sdl-devel>
* Tue Feb 27 2001 - bk@suse.de
- change _prefix to /opt/gnome
- disable installation of static libs
* Mon Feb 26 2001 - nadvornik@suse.cz
- added alsa, alsa-devel to neededforbuild
* Sun Feb 18 2001 - bk@suse.de
- update to 0.2.0 and use RPM_OPT_FLAGS for building
- install stripped programs and obsolete destdir patch
* Tue Nov 28 2000 - nadvornik@suse.cz
- fixed neededforbuild
- fixed url
* Fri Nov 03 2000 - uli@suse.de
- fixed neededforbuild
* Thu Aug 24 2000 - nadvornik@suse.cz
- new package
